#
# spec file for package libcloudproviders
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libcloudproviders
Version:        0.2.5
Release:        lp151.3.2
Summary:        Library/Client to integrate cloud storage providers
License:        LGPL-3.0-or-later
Group:          System/GUI/GNOME
URL:            https://gitlab.gnome.org/External/libcloudproviders
Source:         https://gitlab.gnome.org/External/libcloudproviders/uploads/32bb0a808c397d55b6d72c61540c0171/libcloudproviders-0.2.5.tar.xz
Source99:       %{name}-rpmlintrc
BuildRequires:  gtk-doc
BuildRequires:  meson >= 0.40.0
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(gio-2.0) >= 2.51.2
BuildRequires:  pkgconfig(gio-unix-2.0) >= 2.51.2
BuildRequires:  pkgconfig(glib-2.0) >= 2.51.2
BuildRequires:  pkgconfig(systemd)

%description
Cross desktop library for desktop integration of cloud storage
providers and sync tools.

%package -n libcloudproviders0
Summary:        Library to integrate cloud storage providers
Group:          System/Libraries

%description -n libcloudproviders0
Cross desktop library for desktop integration of cloud storage
providers and sync tools.

%package devel
Summary:        Development files for %{name}
Group:          Development/Languages/C and C++
Requires:       libcloudproviders0 = %{version}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q

%build
%meson \
    -Denable-gtk-doc=true
%meson_build

%install
%meson_install

%check
%{meson_test}

%post -n libcloudproviders0 -p /sbin/ldconfig
%postun -n libcloudproviders0 -p /sbin/ldconfig

%files -n libcloudproviders0
%license LICENSE
%doc CHANGELOG README.md
%{_libdir}/libcloudproviders.so.*

%files devel
%{_datadir}/gtk-doc/html/%{name}/
%{_includedir}/cloudproviders/
%{_libdir}/libcloudproviders.so
%{_libdir}/pkgconfig/cloudproviders.pc
%{_libdir}/*.so

%changelog
* Wed Feb 28 2018 dimstar@opensuse.org
- Modernize spec-file by calling spec-cleaner
* Thu Dec 28 2017 luc14n0@linuxmail.org
- Update to version 0.2.5:
  + Fix leftovers of the daemon service breaking the build.
- Changes from version 0.2.4:
  + Remove libcloudproviders.service since a daemon won't be used
    anymore.
- Changes from version 0.2.3:
  + No news provided.
- Changes from version 0.2.2:
  + No news provided.
- Changes from version 0.2.1:
  + No news provided.
- Changes from version 0.2.0:
  + Use proper DBus.
  + Use proper class prefixes.
  + Remove daemon, since it's not necessary.
  + Remove manager, since it can be simplified.
- Update Url to https://gitlab.gnome.org/External/libcloudproviders
  since this is the current libcloudproviders' GitLab project page.
- Drop unneeded libcloudproviders Requires tag for the shared
  library package once the main package has been removed,
  following upstream's changes.
* Mon Sep  4 2017 dimstar@opensuse.org
- Initial package, version 0.1.1.
